Subject: bug#42128: 28.0.50; tramp rsync method cannot transfer file names with spaces

From: Michael Albinus <[email-masked]>
Date: Tue, 30 Jun 2020 18:33:31 +0200

Jean Louis <[email-masked]> writes:

Hi,

> I have observed that all files have been transferred without problems,
> only files with spaces have not been transferred. None of the buffers is
> accessible after operation, so I cannot see better the errors.

I can confirm this. In tramp-tests.el, tramp-test40-special-characters
is skipped for rsync. I remember I've tried to make it working for a
while, but I failed.

Maybe I try it again, but I cannot promise anything. In case I fail the
second time, we shall document this at least.

Best regards, Michael.